<bugID>1196849<Summary>Location bar displays wrong domain if you're using keyword for a bookmark "%s.domain.com"</Summary><Description>Created attachment 8650597
autocomplete suggestion displays wrong domain name.png

STR:
1. Create bookmark "http://%s.livejournal.com/" with keyword "lj"
2. Type into location bar "lj tema"

Result:       Autocomplete says "%s.livejournal.com: tema [magnifier icon]"
Expectations: It should say "tema.livejournal.com: [magnifier icon]".
             (I think magnifier icon and ":" are unnecessary in this case)</Description></bugID>